### Isolate

Category

Realization

Function

"Shrinks" the connection elements of a specified field, creating new positions.

Syntax

    output = Isolate(field, scale);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`field` | field | none | field whose connections are to be isolated
`scale` | scalar | 0.5 | shrinkage factor

Outputs

Name | Type | Description
--- | --- | ---
`output` | field | field of isolated connections

Functional Details

This module moves all positions closer to the center of the connection elements to which they belong, by an amount specified by a scaling parameter (0 <= `scale` <= 1). Each original position yields as many new positions as there are connection elements that include it. This "shrinkage" makes it possible to view the connection elements of a field (triangles, quads, cubes, or tetrahedra) individually.

Using Isolate followed by ShowBoundary on volumetric data can provide a way to see values throughout a volume.

Components

Creates new positions and connections components. Items belonging to position-dependent components will be duplicated as necessary for the new positions.

Example Visual Program

    Isolate.net

See Also

ShowConnections

[ OpenDX Home at IBM | OpenDX.org ]